@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=DM+Sans:opsz,wght@9..40,100;9..40,300&family=Lemon&display=swap');

:root {
    --cor-background: #0D0D0D;
    --cor-primaria: #E3E2E3;
    --cor-secundaria: #F0983D;
    --cor-terciaria: #333;
    --cor-hover: #2c3e50;

    --fonte-primaria: 'DM Sans', sans-serif;
    --fonte-secundaria: 'Bebas Neue', sans-serif;
}

* {
    padding: 0;
    margin: 0;
    font-size: 18px;
}
body {
    background: var(--cor-background);
    height: 100%;
    scroll-behavior: smooth;
}

.navbar {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 6%;
    height: 100px;
    background-color: var(--cor-terciaria);
}

.navbar a {
    font-family: var(--fonte-secundaria);
    font-size: 28px;
    text-decoration: none;
    color: var(--cor-primaria);
}

.navbar a:hover {
    color: var(--cor-secundaria);
}
.container-div {
    display: flex;
    justify-content: row;
    justify-content: center;
}
.container-agen {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    background-color: #222;
    padding: 80px;
    border-radius: 10px; /* Aumenta o arredondamento */
    margin: 5% 0 2% 5%;
    max-width: 500px;
    border: 2px solid #444; 
    font: var(--fonte-primaria);
}
.container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    background-color: #222;
    padding: 80px;
    border-radius: 10px; /* Aumenta o arredondamento */
    margin: 5% 0 2% 5%;
    width: 400px;
    max-height: 600px;
    border: 2px solid #444; 
    font: var(--fonte-primaria);
}
.container--index--user{
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: #222;
    padding: 20px;
    border-radius: 10px; /* Aumenta o arredondamento */
    margin: 5% 0 2% 30%;
    max-width: 600px;
    border: 2px solid #444; 
    font: var(--fonte-primaria);
    color: white;
    padding: 80px;
    font-size: 24px;
    gap: 10px;
}
.confirmacao--agendamento{
    display: flex;
    justify-content: center;
    margin-top: 100px;
}

li {
    width: 100%;
    padding: 10px;
    margin-bottom: 15px;
    border: 1px solid #444;
    border-radius: 5px;
    background-color: #333;
    color: #ffffff;
    text-decoration: none;
}

.ul {
    text-decoration: none;
}
.link {
    margin-top: 10px; /* Adiciona espaço entre o formulário e o link */
    text-align: center; /* Alinha o texto no centro */
}

.confirmacao--agendamento label {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 80px;
}

.confirmacao--agendamento p {
    font-size: 24px;
    font: var(--fonte-secundaria);
}
.confirmacao--agendamento legend {
    font-family: var(--fonte-secundaria);
    font-size: 30px;
}
.agendamento h1 {
    color: white;
    font-size: 18px;
    font-family: var(--fonte-primaria);
}

label {
    color: var(--cor-primaria);
    font: var(--fonte-primaria);
    font-size: 18px;
    display: block;
    margin-bottom: 5px;
}

input[type="text"],
input[type="password"],
input[type="cpf"],
input[type="email"],
input[type="tel"],
input[type="service"],
input[type="date"],
input[type="time"],
input[type="number"],
select {
    width: 100%;
    padding: 10px;
    margin-bottom: 15px;
    border: 1px solid #444;
    border-radius: 5px;
    background-color: #333;
    color: #ffffff;
}

input[type="radio"] {
    margin-right: 5px;
}

fieldset {
    border: 2px solid #444444;
    padding: 10px;
    border-radius: 5px;
    margin-bottom: 15px;
}

legend {
    padding: 0 10px;
    color: #ffffff;
}

button {
    background-color: #555;
    color: #ffffff;
    border: none;
    padding: 10px 15px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

button:hover {
    background-color: #777;
}

.container__service {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    margin: 0 10% 0 10%;
}

.container__plano h1 {
    color: var(--cor-secundaria);
    font-family: var(--fonte-secundaria);
    font-size: 36px;
    margin: 2% 0 0 46%;
}

.container__box {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 3%;
    margin-bottom: 4%;
}

.container__boxs {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 5%;
    width: 30%;
    height: 300px;
    background-color: #333;
    color: var(--cor-primaria);
    border-radius: 15px;
    border: 2px solid #444;
}

.container__boxs h1 {
    color: var(--cor-secundaria);
    font-family: var(--fonte-secundaria);
    font-size: 28px;
    margin-bottom: 1%;
}

.container__boxs p {
    font-family: var(--fonte-primaria);
    font-weight: 300;
    text-align: justify;
    margin: 0 3% 0 3%;
}

.container__boxs:hover {
    background-color: var(--cor-hover);
}

@media (max-width: 768px) {
    .container {
        padding: 15px;
    }

    .navbar {
        flex-direction: column;
    }

    .navbar a {
        padding: 10px;
        text-align: center;
    }
}

@media (max-width: 768px) {
    .navbar {
        flex-direction: column; /* Altera para coluna em telas menores */
        gap: 10px; /* Espaçamento maior */
    }

    .navbar a {
        font-size: 24px; /* Reduz o tamanho da fonte */
    }

    .container {
        padding: 15px;
        margin: 5% 10%; /* Ajusta a margem lateral */
    }
}

@media (max-width: 480px) {
    input, select, button {
        padding: 8px;
    }

    .container {
        margin: 10px; /* Reduz a margem */
        padding: 10px;
    }

    .agendamento h1 {
        font-size: 1.5em; /* Aumenta a legibilidade */
    }
}